<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddMeetMeReq StructType
 * @subpackage Structs
 */
class AddMeetMeReq extends APIRequest
{
    /**
     * The meetMe
     * @var XMeetMe
     */
    public $meetMe;
    /**
     * Constructor method for AddMeetMeReq
     * @uses AddMeetMeReq::setMeetMe()
     * @param XMeetMe $meetMe
     */
    public function __construct(XMeetMe $meetMe = null)
    {
        $this
            ->setMeetMe($meetMe);
    }
    /**
     * Get meetMe value
     * @return XMeetMe|null
     */
    public function getMeetMe()
    {
        return $this->meetMe;
    }
    /**
     * Set meetMe value
     * @param XMeetMe $meetMe
     * @return AddMeetMeReq
     */
    public function setMeetMe(XMeetMe $meetMe = null)
    {
        $this->meetMe = $meetMe;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddMeetMeReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
